%define debug 0
%define final 1
%define libtool 0

%define qt_version 3.3.3
%define arts_version 1.3.1
%define arts 1

Version: 3.3.1
Release: 2
Name: kdeaddons
Summary: K Desktop Environment - Plugins
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch1: kde-libtool.patch

Prereq: /sbin/ldconfig

Requires: kdebase >= 6:%{version}
Requires: kdelibs >= 6:%{version}
Requires: arts >= 8:%{arts_version}
Requires: SDL >= 1.2.0

BuildPrereq: kdegames-devel
BuildPrereq: kdemultimedia-devel
BuildPrereq: zlib-devel
BuildPrereq: libpng-devel
BuildPrereq: libmng-devel
BuildPrereq: SDL-devel >= 1.2.0
BuildPrereq: perl
BuildPrereq: arts-devel
BuildPrereq: kdepim-devel
BuildPrereq: xmms-devel

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player)
and Kate (text editor), Kicker, knewsticker.

%package atlantikdesigner
Group: User Interface/Desktops
Summary: Game board designer for Atlantik
Requires: %{name} = %{version}-%{release}
Requires: kdegames >= %{version}

%description atlantikdesigner
This package includes a game board designer for Atlantik.

%package xmms
Group: User Interface/Desktops
Summary: Applet to control mediaplayers
Requires: %{name} = %{version}-%{release}
Requires: kdegames >= %{version}

%description xmms
This package includes a applet to control mediaplayers.


%prep
%setup -q
%patch1 -p1 -b .libtool

%if %{libtool}
  make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export KDEDIR=%{prefix}
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit"
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

%configure \
   --includedir=%{_includedir}/kde \
   --disable-rpath \
%if %{final}
   --enable-final \
%endif
   --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

echo "OnlyShowIn=KDE;" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde/kcmvim.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/exif.py
%{_bindir}/fsview
%{_bindir}/jpegorient
%{_bindir}/ksig
%{_bindir}/noatun*
%{_bindir}/orient.py
%{_bindir}/lnkforward
%{_libdir}/*so*
%{_libdir}/*.la
%{_libdir}/kde3/math_panelapplet*
%{_libdir}/kde3/kate*
%{_libdir}/kde3/kbinaryclock*
%{_libdir}/kde3/kcm*
%{_libdir}/kde3/kfile*
%{_libdir}/kde3/kolourpicker*
%{_libdir}/kde3/konq*
%{_libdir}/kde3/ktimemon*
%{_libdir}/kde3/lib*
%{_libdir}/kde3/noatun*
%{_libdir}/kde3/webarchivethumbnail*
%{_datadir}/apps/fsview
%{_datadir}/apps/kaddressbook/*
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/kate/scripts/*
%{_datadir}/apps/katexmltools
%{_datadir}/apps/kcontrol/pics/*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/kicker/applets/kbinaryclock.desktop
%{_datadir}/apps/kicker/applets/kolourpicker.desktop
%{_datadir}/apps/kicker/applets/ktimemon.desktop
%{_datadir}/apps/kicker/applets/mathapplet.desktop
%{_datadir}/apps/knewsticker/scripts/*
%{_datadir}/apps/konqiconview/kpartplugins/*
%{_datadir}/apps/konqlistview/kpartplugins/*
%{_datadir}/apps/konqsidebartng/kicker_entries/*
%{_datadir}/apps/konqsidebartng/add/*
%{_datadir}/apps/konqueror/icons/*/*/*/google.png
%{_datadir}/apps/konqueror/kpartplugins
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/ksig
%{_datadir}/apps/noatun/*
%{_datadir}/apps/vimpart
%{_datadir}/icons/*/*/*/babelfish.png
%{_datadir}/icons/*/*/*/cssvalidator.png
%{_datadir}/icons/*/*/*/domtreeviewer.png
%{_datadir}/icons/*/*/*/htmlvalidator.png
%{_datadir}/icons/*/*/*/imagegallery.png
%{_datadir}/icons/*/*/*/validators.png
%{_datadir}/icons/*/*/*/webarchiver.png
%{_datadir}/icons/*/*/*/konqsidebar_mediaplayer.png
%{_datadir}/icons/*/*/*/ktimemon.png
%{_datadir}/icons/*/*/*/synaescope.png
%{_datadir}/icons/*/*/*/ksig.png
%{_datadir}/icons/*/*/*/fsview.png
%{_datadir}/icons/*/*/*/autorefresh.png
%{_datadir}/icons/*/*/*/konqsidebar_news.png
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/applications/kde/kcmvim.desktop
%{_datadir}/applications/kde/ksig.desktop
%{_datadir}/applications/kde/lnkforward.desktop
%{_datadir}/applnk/.hidden/*
%{_datadir}/config/*
%{_datadir}/config.kcfg/*

%files atlantikdesigner
%defattr(-,root,root)
%{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner
%{_datadir}/icons/*/*/*/atlantikdesigner*
%{_datadir}/applications/kde/atlantikdesigner.desktop

%files xmms
%defattr(-,root,root)
%{_datadir}/apps/kicker/applets/mediacontrol.desktop
%{_datadir}/apps/mediacontrol
%{_libdir}/kde3/mediacontrol_panelapplet*

%changelog
* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1

* Sun Sep 26 2004 Than Ngo <than@redhat.com> 3.3.0-2
- cleanup menu

* Thu Aug 19 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc1
- update to 3.3 rc1
- remove unneeded patch file

* Mon Jun 28 2004 Than Ngo <than@redhat.com> 3.2.3-3
- add gcc34 patch

* Mon Jun 28 2004 Than Ngo <than@redhat.com> 3.2.3-2
- rebuilt

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- 3.2.3 release

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.6
- gcc 3.4 build problem

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- fix typo bug, _smp_mflags instead smp_mflags

* Sat Feb 14 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- fix rpm file list

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1
- add correct requires

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 3.1.94-0.4
- fixed dependencies problem

* Thu Dec 11 2003 Than Ngo <than@redhat.com> 3.1.94-0.3
- add missing kaddressbook config files

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 3.1.94-0.2
- make atlantikdesigner as sub package,
  get rid of requires kdegames (bug #82742, #111323, #99375)

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta2
- remove kdeaddons-3.1.93-typo.patch, which is in new upstream

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.3
- fixed typo

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup specfile
- remove some unneeded patch files

* Thu Oct 23 2003 Than Ngo <than@redhat.com> 3.1.4-2
- rebuild

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 3.1.3-2
- rebuilt

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jun 27 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 18 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 3.1-2
- rebuild against new arts

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- cleanup specfile
- remove unneeded size_t check patch

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.6
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- added atlantikdesignerui.rc

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.3
- Don't exclude Alpha "temporarily"

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- disable smp_flags

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problem
- umask of 077 issue (bug #73946)

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Wed Sep 11 2002 Than Ngo <than@redhat.com> 3.0.3-1.1
- clean up specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- don't strip binaries

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- BuildRequire the correct version of kdemultimedia

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Sat Mar  9 2002 Tim Powers <timp@redhat.com>
- change kdemultimedia-noatun requirement to noatun

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020308.1
- Update
- Adapt spec file to changes
- Exclude alpha temporarily

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- knewsticker should require kdenetwork-libs and not kdenetwork

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Require kdemultimedia-devel >= 2.2 rather than just kdemultimedia-devel
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
- Split in subpackages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

